#pragma once
#include "guidialog.h"

/**
 * \brief 简短描述
 * 
 * 详细描述
 * 
 */
class CGuiFloatItem :
	public CGuiDialog
{
protected:
public:
	CGuiTable*	  m_pTable;
	int m_iTableType;
	CGuiFloatItem(void);
	~CGuiFloatItem(void);
	HRESULT OnRender( float fElapsedTime );
	CGuiItemCell* GetItem();
	void OnCreate();
	void DestroyCell();
	CGuiControl* GetControlAtPoint( POINT pt );
};

/**
 * \brief 简短描述
 * 
 * 详细描述
 * 
 * \return 返回值的描述
 */
inline CGuiFloatItem* GetGuiFloatItem()
{
	extern CGuiFloatItem* g_pCurrentFloatItem;
	return g_pCurrentFloatItem;
}